- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_admin_syslog – CLI command to create/modify/delete admin-syslog

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to create the scope and other parameters of syslog event collection.
- This module can be used to modify parameters of syslog event collection.
- This module can be used to delete the scope and other parameters of syslog event collection.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_host string |  | Hostname to log system events.
pn_message_format string | Choices: structured legacy | message-format for log events - structured or legacy.
pn_name string |  | name of the system log.
pn_port string |  | Host port.
pn_scope string | Choices: local fabric | Scope of the system log.
pn_transport string | Choices: tcp-tls udp ← | Transport for log events - tcp/tls or udp.
state string / required | Choices: present absent update | State the action to perform. Use `present` to create admin-syslog and `absent` to delete admin-syslog `update` to modify the admin-syslog.

## Examples

    - name: admin-syslog functionality
      pn_admin_syslog:
        pn_cliswitch: "sw01"
        state: "absent"
        pn_name: "foo"
        pn_scope: "local"

    - name: admin-syslog functionality
      pn_admin_syslog:
        pn_cliswitch: "sw01"
        state: "present"
        pn_name: "foo"
        pn_scope: "local"
        pn_host: "166.68.224.46"
        pn_message_format: "structured"

    - name: admin-syslog functionality
      pn_admin_syslog:
        pn_cliswitch: "sw01"
        state: "update"
        pn_name: "foo"
        pn_host: "166.68.224.10"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the admin-syslog command.
stdout list | always | set of responses from the admin-syslog command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.